
__kernel void colorGradient(write_only image2d_t output,
                      float width, float height,
                      float alpha) {
    size_t x = get_global_id(0);
    size_t y = get_global_id(1);
    
    float cx, cy;
    cx = (float)x/width * 255.0;
    cy = (float)y/height *255.0; 
    write_imageui(output, (int2)(x, y),
                          (uint4)((uint) cx, (uint) cy, (uint) 0, (uint) 255));
    /*
    cx = (float)x/width;
    cy = (float)y/height;                      
    write_imagef(output, (int2)(x, y),
                         (float4)(cx, cy, 0.0, 1.0)); */
}
